@import '../../core/base';
@import '../../utils/chatGroup';

.chatSettings {
  cursor: default;
  &__header {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  h4 {
    padding: 1.5rem;
  }
  &__name {
    padding: 1.5rem 0;
  }
}

.chatGroup {
  position: relative;
  height: inherit;
  &__item {
    height: auto;
    width: 100%;
  }
  &__item_selected &__link,
  &__item_selected &__link:hover {
    background-color: #009eee;
    color: #fff;
  }
  &__item_selected &__imgnone {
    background-color: #fff;
    color: #009eee;
  }
  &__link {
    align-items: center;
    background-color: #fff;
    color: #444;
    cursor: pointer;
    position: relative;
    display: flex;
    justify-content: flex-start;
    border-bottom: 1px solid #eee;
    padding: 1rem;
    &:hover {
      background-color: #f9f9f9;
    }
  }
  &__img {
    // background-color: #eee;
    border-radius: 50%;
    height: 5rem;
    width: 5rem;
    &_none {
      background-color: #009eee;
      color: #fff;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 1.8rem;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 0;
      margin: 0;
      line-height: inherit;
    }
  }
  &_contacts &__img {
    height: 3.6rem;
    width: 3.6rem;
    &_none {
      font-size: 1.4rem;
    }
  }
  &__name {
    padding-left: 1.5rem;
    font-size: 1.4rem;
    font-weight: 500;
    i {
      font-size: 1.3rem;
      font-style: normal;
      font-weight: normal;
      color: #009eee;
      position: relative;
      padding-left: 50px;
      width: 100%;
    }
    i img {
      position: absolute;
      left: 0;
      top: -14px;
      width: 50px;
      height: 50px;
    }
  }
  &__item_selected &__name i {
    color: #fff;
  }
  &__fetch {
    position: absolute;
    right: 1.5rem;
    top: 0;
    height: 100%;
    width: auto;
  }
  &__arrow {
    @include flex(center, center);
    position: absolute;
    top: 0;
    right: 1.5rem;
    height: 100%;
    span {
      color: #f2075b;
      font-size: 2rem;
    }
  }
  &__arrow &__arrowDone {
    color: #009eee;
    opacity: .7;
  }
  &__arrow &__arrowDelete {
    margin-right: -.8rem;
  }
  &__status {
    color: #999;
    font-size: 13px;
    font-weight: normal;
    &_online {
      color: #009eee;
    }
  }
  &__item_selected &__status {
    color: #fff,
  }
}